# DeTEE Cloud

The mission of DeTEE is to create a decentralized cloud solution that functions as an open market for hardware resources. The DeTEE protocol is connecting the customers (mostly software companies) and the service providers (node operators), ensuring the business activity of all participants runs smoothly. In order to make the decentralized network feel like a cloud platform, DeTEE inspired the user experience from popular cloud products (Kubernetes, Openstack, AWS, GCP), and optimized and simplified the flow to the benefit of the end user.

In order to make the environment business-friendly, guarantees regarding security and privacy must be offered by the software powering the platform. In order to achieve this, DeTEE leverages the hardware capabilities of TEEs into the core of the platform, working already with Intel SGX and AMD SEV-SNP, and planning to integrate Intel TDX, AMD Trustzone and NVIDIA H100 GPUs in the future. As we can’t be responsible for the reliability of the hardware itself, the strategy of DeTEE involves offering users the possibility to choose the hardware they work with, and to easily migrate their applications from one system to another.

The DeTEE cloud will soon enter the testnet phase, allowing members of our community to deploy containers and VMs on the DeTEE network. The testnet does not guarantee stability (actually it guarantees disruptions, as we are actively developing the software).

## Network Police

Every time we talk about DeTEE, we get asked how we will handle bad actors,
since the computation is private and the data is encrypted.
The simple answer: **We designed DeTEE for legit businesses, not for bad actors**.

DeTEE was not designed to hide all tracks of users performing any type of malicious or
illegal activity on the network. Take into consideration the following points:
1. Operators can see the wallet address of the buyer of the resource
2. The brain nodes have a history of contracts they processed.
3. Node operators and datacenters are able to see the encrypted traffic,
and patterns of malicious behavior can be easily detected.
4. Node Operators have the option to Kick and to Ban users.
5. Each account has a history of the kicks and bans it received

We want to build a commuity of reliable cloud services for software development companies.
It is not part of our goal to support script kiddies, bot farms, copywrited content or any
other "cool" ideas people might get. Considering the technology has no backdoors, there are
extra challenges on finding bad actors, however malicious activity will NOT be tolerated on DeTEE.
We will offer the community rating mechanisms and other features required
to facilitate the purging of any criminal activity detected on the network.

## Audit capabilities

For companies scaling their businesses on DeTEE, the network will offer you the capability to
export a signed and verifiable audit of all smart contracts and payment history. 
To protect your privacy, contract history will the restricted to the participants of each contract,
respectively: the buyer of the compute resources,
the node operator and brain nodes that process the contract.
The DeTEE network will not support direct P2P transfers, but the token will be
listed on multiple blockchains, so that is out of the scope of our solution.

<script type="text/javascript" id="hcb" src="/js/comments.js"></script><div id="HCB_comment_box"></div><link rel="stylesheet" type="text/css" href="/css/comments.css"/>
